
Katello - Bug #23571

Refresh and Delete manifest buttons aren't disabled when manifest is deleted

05/11/2018 06:19 PM - John Mitsch

Status: Closed   

Priority: Normal   

Assignee: Amir Fefer   

Category: Subscriptions   

Target version: Katello 3.7.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/Katello/katello/pull/743
Description

When the manifest is deleted, refresh and delete are still enabled. These buttons should be disabled when there is no manifest

imported. Here is what happens when you click refresh on a non-existant manifest 

http://www.clipular.com/c/5838062240923648.png?k=cLfEI-ETJ-T643L0RyXwQ7MrLX8

To reproduce, go to the new subscriptions page and delete your manifest.

Related issues:

Has duplicate Katello - Feature #23283: RH subscriptions:  update manifest na... Duplicate 04/16/2018

Has duplicate Katello - Bug #23760: RH Subscriptions: brief delay between man... Duplicate 05/31/2018

Associated revisions

Revision b510bf39 - 06/18/2018 08:40 PM - Amir Fefer

Fixes #23571 - fix manifest modal buttons

History

#1 - 05/14/2018 06:14 PM - Walden Raines

- Category set to Subscriptions

- Target version set to 253

#2 - 05/16/2018 05:41 PM - Justin Sherrill

- translation missing: en.field_release set to 338

#3 - 06/12/2018 01:02 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Amir Fefer

- Pull request https://github.com/Katello/katello/pull/7439 added

#4 - 06/12/2018 02:44 PM - Walden Raines

- Has duplicate Feature #23283: RH subscriptions:  update manifest name/etc on successful upload/delete added

#5 - 06/18/2018 08:59 PM - Walden Raines

- Target version deleted (253)

#6 - 06/18/2018 09:01 PM - Amir Fefer

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|b510bf39ba3b927c625a6588543bfeabdd96c1e0.
http://www.clipular.com/c/5838062240923648.png?k=cLfEI-ETJ-T643L0RyXwQ7MrLX8
https://projects.theforeman.org/projects/katello/repository/katello/revisions/b510bf39ba3b927c625a6588543bfeabdd96c1e0


#7 - 06/21/2018 03:27 PM - Walden Raines

- Has duplicate Bug #23760: RH Subscriptions: brief delay between manifest related action and modal closing/progress bar showing added
